MeiroDocs

MI Workspaces

Required feature: **mi/api**

Section: Group MI Workspaces. Base URL: https://instance_name.meiro.io/api/.

MI Workspaces [/mi/workspaces{?limit,offset,order_by,order_dir,name_filter,tag_ids,load_full_structure}]

List All MI Workspaces [GET]

Required feature: mi/api

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • name_filter (string, optional) - Workspaces' name filter
    • tag_ids (array, optional) - Workspaces' tags filter
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspaces": [
        {
            "id": 100,
            "user_id": 200,
            "name": "example workspace",
            "description": "workspace description",
            "settings": {
                "schedules": [
                    {
                        "minute": "*",
                        "hour": "*",
                        "day": "*",
                        "month": "*",
                        "day_of_week": "*"
                    }
                ],
                "notification_emails": ["mr@foo.test"],
                "delete_data_after_success": true
            },
            "frontend_settings": {},
            "variables": {},
            "disabled": 0,
            "deleted": 0,
            "last_run": "2017-02-01 15:35:00",
            "author_id": 400,
            "tags": [],
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
        "name_filter": null,
        "tag_ids": null
    }
}

On this page